default[:varnishd][:version] = '3.0.5'
default[:varnishd][:url] = 'http://repo.varnish-cache.org/source/varnish-3.0.5.tar.gz'
default[:varnishd][:checksum] = '302fd6afc771524ca3912f5d945ab197a55762385c012b2054df7d86bf7ae2b7'

# VCL
default[:varnishd][:vcl_source] = 'default.vcl.erb'
default[:varnishd][:vcl_cookbook] = 'varnishd'

# Storage Types
# https://www.varnish-cache.org/docs/3.0/reference/varnishd.html#storage-types
default[:varnishd][:storage] = 'malloc,128M'

# System Limits
default[:varnishd][:limit][:nofile] = '131072'
default[:varnishd][:limit][:memlock] = '82000'

# VMODs
default[:varnishd][:vmods] = {}

# Run-Time Parameters
# https://www.varnish-cache.org/docs/3.0/reference/varnishd.html#run-time-parameters
default[:varnishd][:runtime][:acceptor_sleep_decay] = nil #'0.900'
default[:varnishd][:runtime][:acceptor_sleep_incr] = nil #'0.001'
default[:varnishd][:runtime][:acceptor_sleep_max] = nil #'0.050'
default[:varnishd][:runtime][:auto_restart] = nil #'on'
default[:varnishd][:runtime][:ban_dups] = nil #'on'
default[:varnishd][:runtime][:ban_lurker_sleep] = nil #'0.01'
default[:varnishd][:runtime][:between_bytes_timeout] = nil #'60'
default[:varnishd][:runtime][:cc_command] = nil #'exec gcc -std=gnu99 -pthread -fpic -shared -Wl,-x -o %o %s'
default[:varnishd][:runtime][:cli_buffer] = nil #'8192'
default[:varnishd][:runtime][:cli_timeout] = nil #'10'
default[:varnishd][:runtime][:clock_skew] = nil #'10'
default[:varnishd][:runtime][:connect_timeout] = nil #'0.7'
default[:varnishd][:runtime][:critbit_cooloff] = nil #'180.0'
default[:varnishd][:runtime][:default_grace] = nil #'10'
default[:varnishd][:runtime][:default_keep] = nil #'0'
default[:varnishd][:runtime][:default_ttl] = nil #'120'
default[:varnishd][:runtime][:diag_bitmap] = nil #'0'
default[:varnishd][:runtime][:esi_syntax] = nil #'0'
default[:varnishd][:runtime][:expiry_sleep] = nil #'1'
default[:varnishd][:runtime][:fetch_chunksize] = nil #'128'
default[:varnishd][:runtime][:fetch_maxchunksize] = nil #'262144'
default[:varnishd][:runtime][:first_byte_timeout] = nil #'60'
default[:varnishd][:runtime][:group] = 'varnishd'
default[:varnishd][:runtime][:gzip_level] = nil #'6'
default[:varnishd][:runtime][:gzip_memlevel] = nil #'8'
default[:varnishd][:runtime][:gzip_stack_buffer] = nil #'32768'
default[:varnishd][:runtime][:gzip_tmp_space] = nil #'0'
default[:varnishd][:runtime][:gzip_window] = nil #'15'
default[:varnishd][:runtime][:http_gzip_support] = nil #'on'
default[:varnishd][:runtime][:http_max_hdr] = nil #'64'
default[:varnishd][:runtime][:http_range_support] = nil #'on'
default[:varnishd][:runtime][:http_req_hdr_len] = nil #'8192'
default[:varnishd][:runtime][:http_req_size] = nil #'32768'
default[:varnishd][:runtime][:http_resp_hdr_len] = nil #'8192'
default[:varnishd][:runtime][:http_resp_size] = nil #'32768'
default[:varnishd][:runtime][:idle_send_timeout] = nil #'60'
default[:varnishd][:runtime][:listen_address] = ':80'
default[:varnishd][:runtime][:listen_depth] = nil #'1024'
default[:varnishd][:runtime][:log_hashstring] = nil #'on'
default[:varnishd][:runtime][:log_local_address] = nil #'off'
default[:varnishd][:runtime][:lru_interval] = nil #'2'
default[:varnishd][:runtime][:max_esi_depth] = nil #'5'
default[:varnishd][:runtime][:max_restarts] = nil #'4'
default[:varnishd][:runtime][:nuke_limit] = nil #'50'
default[:varnishd][:runtime][:pcre_match_limit] = nil #'10000'
default[:varnishd][:runtime][:pcre_match_limit_recursion] = nil #'10000'
default[:varnishd][:runtime][:ping_interval] = nil #'3'
default[:varnishd][:runtime][:pipe_timeout] = nil #'60'
default[:varnishd][:runtime][:prefer_ipv6] = nil #'off'
default[:varnishd][:runtime][:queue_max] = nil #'50'
default[:varnishd][:runtime][:rush_exponent] = nil #'3'
default[:varnishd][:runtime][:saintmode_threshold] = nil #'10'
default[:varnishd][:runtime][:send_timeout] = nil #'600'
default[:varnishd][:runtime][:sess_timeout] = nil #'5'
default[:varnishd][:runtime][:sess_workspace] = nil #'65536'
default[:varnishd][:runtime][:session_linger] = nil #'50'
default[:varnishd][:runtime][:session_max] = nil #'100000'
default[:varnishd][:runtime][:shm_reclen] = nil #'255'
default[:varnishd][:runtime][:shm_workspace] = nil #'8192'
default[:varnishd][:runtime][:shortlived] = nil #'10.0'
default[:varnishd][:runtime][:syslog_cli_traffic] = nil #'on'
default[:varnishd][:runtime][:thread_pool_add_delay] = nil #'2'
default[:varnishd][:runtime][:thread_pool_add_threshold] = nil #'2'
default[:varnishd][:runtime][:thread_pool_fail_delay] = nil #'200'
default[:varnishd][:runtime][:thread_pool_max] = nil #'500'
default[:varnishd][:runtime][:thread_pool_min] = nil #'5'
default[:varnishd][:runtime][:thread_pool_purge_delay] = nil #'1000'
default[:varnishd][:runtime][:thread_pool_stack] = nil #'-1'
default[:varnishd][:runtime][:thread_pool_timeout] = nil #'300'
default[:varnishd][:runtime][:thread_pool_workspace] = nil #'65536'
default[:varnishd][:runtime][:thread_pools] = node['cpu']['total']
default[:varnishd][:runtime][:thread_stats_rate] = nil #'10'
default[:varnishd][:runtime][:user] = 'varnishd'
default[:varnishd][:runtime][:vcc_err_unref] = nil #'on'
default[:varnishd][:runtime][:vcl_dir] = nil #'/usr/local/etc/varnish'
default[:varnishd][:runtime][:vcl_trace] = nil #'off'
default[:varnishd][:runtime][:vmod_dir] = '/usr/local/lib/varnish/vmods'
default[:varnishd][:runtime][:waiter] = nil #'default'
